## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathFactory::DeleteXPathFunctor Struct Reference

A functor for use with stl algorithms. More...

`#include <XPathFactory.hpp>`

Inheritance diagram for XPathFactory::DeleteXPathFunctor

Collaboration diagram for XPathFactory::DeleteXPathFunctor:

List of all members.

## Public Methods

- DeleteXPathFunctor ( XPathFactory& theFactoryInstance, bool fInReset = false)
- result_type operator() (argument_type theXPath) const

## Detailed Description

A functor for use with stl algorithms.

## Constructor & Destructor Documentation

XPathFactory::DeleteXPathFunctor::DeleteXPathFunctor ( | XPathFactory & theFactoryInstance,
| bool fInReset = false )

## Member Function Documentation

result_type XPathFactory::DeleteXPathFunctor::operator() ( | argument_type theXPath ) const`[]`

The documentation for this struct was generated from the following file:

- XPathFactory.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.